# Uses of Class
javassist.bytecode.SignatureAttribute.ClassType

Packages that use SignatureAttribute.ClassType
Package
Description
javassist.bytecode
Bytecode-level API.

## Uses of SignatureAttribute.ClassType in javassist.bytecode

Subclasses of SignatureAttribute.ClassType in javassist.bytecode
Modifier and Type
Class
Description
`static class`
`SignatureAttribute.NestedClassType`
Nested class types.
Fields in javassist.bytecode declared as SignatureAttribute.ClassType
Modifier and Type
Field
Description
`static SignatureAttribute.ClassType`
SignatureAttribute.ClassType.`OBJECT`
A class type representing `java.lang.Object`.
Methods in javassist.bytecode that return SignatureAttribute.ClassType
Modifier and Type
Method
Description
`SignatureAttribute.ClassType`
SignatureAttribute.ClassType.`getDeclaringClass()`
If this class is a member of another class, returns the class in which this class is declared.
`SignatureAttribute.ClassType`
SignatureAttribute.NestedClassType.`getDeclaringClass()`
Returns the class that declares this nested class.
`SignatureAttribute.ClassType[]`
SignatureAttribute.ClassSignature.`getInterfaces()`
Returns the super interfaces.
`SignatureAttribute.ClassType`
SignatureAttribute.ClassSignature.`getSuperClass()`
Returns the super class.
Constructors in javassist.bytecode with parameters of type SignatureAttribute.ClassType
Modifier
Constructor
Description
``
`ClassSignature(SignatureAttribute.TypeParameter[] params, SignatureAttribute.ClassType superClass, SignatureAttribute.ClassType[] interfaces)`
Constructs a class signature.
``
`NestedClassType(SignatureAttribute.ClassType parent, String className, SignatureAttribute.TypeArgument[] args)`
Constructs a `NestedClassType`.